$Domena = "dtest.windowsservernet.com"

# Tworzenie obiektu danych grup
$gpm = New-Object -ComObject "GPMGMT.GPM"

# Dostęp do danych domeny
$Domena = $GPM.GetDomain($Domain, "", $GPM.GetConstants().UseAnyDC)

# Obiekt filtrujący
$Kryteria = $gpm.CreateSearchCriteria()

# Pobieranie obiektów GPO
$GPOList = $Domena.SearchGPOs($Criteria)

# Wyświetlanie obiektów GPO
$GPOList | Select Displayname, CreationTime